$( document ).ready(function(){
 
    
	
	/*************************************************************************************************************/
	  
	  //registrar nuevos usuarios
	  $('#reg_usuario').bootstrapValidator({
        // To use feedback icons, ensure that you use Bootstrap v3.1.0 or later
        feedbackIcons: {
            valid: 'glyphicon glyphicon-ok',
            invalid: 'glyphicon glyphicon-remove',
            validating: 'glyphicon glyphicon-refresh'
        },
        fields: {
            txtNombre: {
                validators: {
                        stringLength: {
                        min: 3,
                    },
                        notEmpty: {
                        message: 'Por favor Digite su nombre'
                    }
                }
            },
			txtApellido: {
                validators: {
                        stringLength: {
                        min: 3,
                    },
                        notEmpty: {
                        message: 'Por favor Digite su Apellido'
                    }
                }
            },
			txtTelefono: {
                validators: {
                        stringLength: {
                        min: 7,
                    },
                        notEmpty: {
                        message: 'Por favor Digite su Telefono'
                    }
                }
            },
			txtEmail: {
                validators: {
                    notEmpty: {
                        message: 'Por favor digite su email'
                    },
                    emailAddress: {
                        message: 'Por favor porporcione una direccion de email valida'
                    }
                }
            },
			txtDireccion: {
                validators: {
                     stringLength: {
                        min: 8,
                    },
                    notEmpty: {
                        message: 'Por favor digite su direccion de residencia'
                    }
                }
            },
			txtLogin: {
                validators: {
                     stringLength: {
                        min: 4,
                    },
                    notEmpty: {
                        message: 'Por favor digite su nombre de usuario'
                    }
                }
            },
			txtClave: {
                validators: {
                     stringLength: {
                        min: 4,
                    },
                    notEmpty: {
                        message: 'Por favor digite su clave'
                    }
                }
            },
             txtCelular: {
                validators: {
                     stringLength: {
                        min: 8,
                    },
                    notEmpty: {
                        message: 'Por favor digite su Celular'
                    }
                }
            }
           }
        })
        .on('success.form.bv', function(e) {
                $('#reg_usuario').data('bootstrapValidator').resetForm();
				
             	  txtNombre  		= $("#txtNombre").val();
				  txtApellido  	= $("#txtApellido").val();
				  txtDireccion  	= $("#txtDireccion").val();	
				  txtTelefono  	= $("#txtTelefono").val();
				  txtCelular  	= $("#txtCelular").val();
				  txtEmail  		= $("#txtEmail").val();	
				  txtLogin  		= $("#txtLogin").val();	
				  txtClave  		= $("#txtClave").val();			
				  txtPerfil  		= $("#txtPerfil").val();	
			  
				  $.ajax({
					  //construye la ruta donde se encuentra el archivo php
					  url: "../src/newRegister.php",
					  //define las variables
					  data: {
							  txtNombre: txtNombre,
							  txtApellido: txtApellido,
							  txtDireccion: txtDireccion,
							  txtTelefono: txtTelefono,
							  txtCelular: txtCelular,
							  txtEmail: txtEmail,
							  txtLogin: txtLogin,
							  txtClave: txtClave,
							  txtPerfil: txtPerfil
					  },
					  type: "POST",
					  context: document.body
				  }).done(function( data ) {		
					  console.log("Datos" , data );
					  //getValues();
					  limpiar_frmcliente(); //limpiar el formulario de registro de clientes
					  alert("Usuario creado");
				  });
            
        });
	    
		
	  //registrar nuevos cliente
	  $('#reg_cliente').bootstrapValidator({
        // To use feedback icons, ensure that you use Bootstrap v3.1.0 or later
        feedbackIcons: {
            valid: 'glyphicon glyphicon-ok',
            invalid: 'glyphicon glyphicon-remove',
            validating: 'glyphicon glyphicon-refresh'
        },
        fields: {
            
			txtCedula: {
                validators: {
                        stringLength: {
                        min: 6,
                    },
                        notEmpty: {
                        message: 'Por favor Digite su numero de cedula'
                    }
                }
            },
			txtNombre: {
                validators: {
                        stringLength: {
                        min: 3,
                    },
                        notEmpty: {
                        message: 'Por favor Digite su nombre'
                    }
                }
            },
			txtApellido: {
                validators: {
                        stringLength: {
                        min: 3,
                    },
                        notEmpty: {
                        message: 'Por favor Digite su Apellido'
                    }
                }
            },
			txtTelefono: {
                validators: {
                        stringLength: {
                        min: 7,
                    },
                        notEmpty: {
                        message: 'Por favor Digite su Telefono'
                    }
                }
            },
			txtEmail: {
                validators: {
                    notEmpty: {
                        message: 'Por favor digite su email'
                    },
                    emailAddress: {
                        message: 'Por favor porporcione una direccion de email valida'
                    }
                }
            },
			txtDireccion: {
                validators: {
                     stringLength: {
                        min: 8,
                    },
                    notEmpty: {
                        message: 'Por favor digite su direccion de residencia'
                    }
                }
            },			
             txtCelular: {
                validators: {
                     stringLength: {
                        min: 8,
                    },
                    notEmpty: {
                        message: 'Por favor digite su Celular'
                    }
                }
            }
           }
        })
        .on('success.form.bv', function(e) {
                txtCedula  		= $("#txtCedula").val();							  
				txtNombre  		= $("#txtNombre").val();
				txtApellido  	= $("#txtApellido").val();
				txtDireccion  	= $("#txtDireccion").val();	
				txtTelefono  	= $("#txtTelefono").val();
				txtCelular  	= $("#txtCelular").val();
				txtEmail  		= $("#txtEmail").val();		   	
			
				$.ajax({
					//construye la ruta donde se encuentra el archivo php
					url: "../src/newCliente.php",
					//define las variables
					data: {
							txtCedula: txtCedula,
							txtNombre: txtNombre,
							txtApellido: txtApellido,
							txtDireccion: txtDireccion,
							txtTelefono: txtTelefono,
							txtCelular: txtCelular,
							txtEmail: txtEmail				
					},
					type: "POST",
					context: document.body
				}).done(function( data ) {		
					console.log("Datos" , data );
					//getValues();
					limpiar_frmcliente(); //limpiar el formulario de registro de clientes
					alert("Cliente creado");
				});
            
        });
		
		
		
		
		
		//crear zonas
	  $('#reg_zona').bootstrapValidator({
        // To use feedback icons, ensure that you use Bootstrap v3.1.0 or later
        feedbackIcons: {
            valid: 'glyphicon glyphicon-ok',
            invalid: 'glyphicon glyphicon-remove',
            validating: 'glyphicon glyphicon-refresh'
        },
        fields: {			
             txtZona: {
                validators: {
                     stringLength: {
                        min: 3,
                    },
                    notEmpty: {
                        message: 'Por favor digite la nueva zona'
                    }
                }
            }
           }
        })
        .on('success.form.bv', function(e) {
                
				txtZona  		= $("#txtZona").val();   	
	
				$.ajax({
					//construye la ruta donde se encuentra el archivo php
					url: "../src/newZona.php",
					//define las variables
					data: {
							txtZona: txtZona				
					},
					type: "POST",
					context: document.body
				}).done(function( data ) {		
					console.log("Datos" , data );
					//getValues();
					limpiar_frmcliente(); //limpiar el formulario de registro de clientes
				});
            
        });
	
	
	
	
	/*************************************************************************************************************/

	
	   //crear cobrador
	  $('#reg_cobrador').bootstrapValidator({
        // To use feedback icons, ensure that you use Bootstrap v3.1.0 or later
        
		
		feedbackIcons: {
            valid: 'glyphicon glyphicon-ok',
            invalid: 'glyphicon glyphicon-remove',
            validating: 'glyphicon glyphicon-refresh'
        },
		
        fields: {			
             txtNombre: {
                validators: {
                     stringLength: {
                        min: 3,
                    },
                    notEmpty: {
                        message: 'Por favor digite la nueva zona'
                    }
                }
            },			
             txtApellido: {
                validators: {
                     stringLength: {
                        min: 3,
                    },
                    notEmpty: {
                        message: 'Por favor digite su Celular'
                    }
                }
            },
                txtZona: {
                    validators: {
                        notEmpty: {
                            message: 'Por favor seleccione una zona.'
                        }
                    }
                }
			
			
           }
        })
        .on('success.form.bv', function(e) {
                
				txtNombre  		= $("#txtNombre").val();
				txtApellido  	= $("#txtApellido").val();
				txtZona  		= $("#txtZona").val();   	
			
				$.ajax({
					//construye la ruta donde se encuentra el archivo php
					url: "../src/newCobrador.php",
					//define las variables
					data: {
							txtNombre: txtNombre,
							txtApellido: txtApellido,
							txtZona: txtZona
					},
					type: "POST",
					context: document.body
				}).done(function( data ) {		
					console.log("Datos" , data );
					//getValues();
					limpiar_frmcliente(); //limpiar el formulario de registro de clientes
				});
            
        });
	    
	
	
	
	
	//registro de formas de pago
	$('#reg_forma').bootstrapValidator({
        // To use feedback icons, ensure that you use Bootstrap v3.1.0 or later
        
		
		feedbackIcons: {
            valid: 'glyphicon glyphicon-ok',
            invalid: 'glyphicon glyphicon-remove',
            validating: 'glyphicon glyphicon-refresh'
        },
		
        fields: {			
             txtForma: {
                validators: {
                     stringLength: {
                        min: 3,
                     },
                    notEmpty: {
                        message: 'Por favor digite una forma'
                    }
                }
            },
                txtDias: {
                    validators: {
						stringLength: {
                        	min: 1,
                     	},
                        notEmpty: {
                            message: 'Por favor digite los dias.'
                        }
                    }
                }
			
			
           }
        })
        .on('success.form.bv', function(e) {
                
				txtForma  		= $("#txtForma").val();
				txtDias  		= $("#txtDias").val();
			
				$.ajax({
					//construye la ruta donde se encuentra el archivo php
					url: "../src/newMetodo_Pago.php",
					//define las variables
					data: {
							txtForma: txtForma,
							txtDias: txtDias
					},
					type: "POST",
					context: document.body
				}).done(function( data ) {		
					console.log("Datos" , data );
					//getValues();
					limpiar_frmcliente(); //limpiar el formulario de registro de clientes
				});
            
        });
	



	$("#btnAmortizacion").click(function(){
										 
	   	Capital  = $("#txtCapital").val();
	   	Interes  = $("#txtInteres").val();
	   	Meses  	= $("#txtMeses").val();
		intRate = (Interes/100);
		
	   
	   	cuota = Math.round(Math.floor((Capital*intRate)/(1-Math.pow(1+intRate,(-1*Meses)))*100)/100);
	   
	   	capitalpendiente=Capital;
    	ano=1;
    	m=0;
		
		$("#BodyTable").html("");
		
		for (i=1;i<=Meses;i++) {
     	    m++;
        	
          intereses=Math.round((capitalpendiente * intRate*100)/100);
          amortizacion=Math.round(((cuota-intereses)*100)/100);
          capitalpendiente=Math.round(((capitalpendiente-amortizacion)*100)/100);
          
          if (i==Meses) { //ultima cuota redondeo
              cuota=Math.round(((cuota + capitalpendiente)*100)/100);
              amortizacion = cuota - intereses;
              capitalpendiente = 0;
          }
			  $("#BodyTable").append("<tr>\
				  <th>" + m + "</th>\
				  <th>" + cuota + "</th>\
				  <th>" + intereses + "</th>\
				  <th>" + amortizacion + "</th>\
				  <th>" + capitalpendiente + "</th>\
			  </tr>");
        }//for
									 
	});
	
	
	$("#btnGuardaCredito").click(function(){
        
		
		alert("Credito Guardado");
		
	   	Capital  		 = $("#txtCapital").val();
	   	Interes  		 = $("#txtInteres").val();
	   	Meses  	 		 = $("#txtMeses").val();
		txtDeudor  	 	 = $("#txtDeudor").val();
		txtCoDeudor  	 = $("#txtCoDeudor").val();
		txtCobrador  	 = $("#txtCobrador").val();
		txtForma  	     = $("#txtForma").val();
		
		$.ajax({
			//construye la ruta donde se encuentra el archivo php
			url: "../src/newCredito.php",
			//define las variables
			data: {
					Capital 	 : Capital,
					Interes 	 : Interes,
					Meses  		 : Meses,
					txtDeudor 	 : txtDeudor,
					txtCoDeudor  : txtCoDeudor,
					txtCobrador  : txtCobrador,
					txtForma  	 : txtForma
			},
			type: "POST",
			context: document.body
		}).done(function( data ) {		
			console.log("Datos" , data );
			//getValues();
			limpiar_frmcliente(); //limpiar el formulario de registro de clientes
		});
		
		
		
									 
	});
	
	
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	
	  $("#btnBuscarCredito").click(function(){  //recaudo.php - buscar los creditos vigentes     
		  
		  cedula  = $("#txtPagoDeudor").val();
		  getCreditos(cedula);									 
	  });
	  
	  
	  $("#btnEncontrarCreditos").click(function(){  //recaudo.php - buscar los creditos vigentes     
		  
		  cedula  = $("#txtCedulaDeudor").val();
		  BuscaCreditos(cedula);									 
	  });
	  
	  
	  
	
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	
	
	
	
});


function limpiar_frmcliente()
{
	$("#txtNombre").val("");
	$("#txtApellido").val("");
	$("#txtDireccion").val("");
	$("#txtTelefono").val("");
	$("#txtCelular").val("");
	$("#txtEmail").val("");
	$("#txtLogin").val("");
	$("#txtClave").val("");
	$("#txtPerfil").val("");
	$("#txtClave").val("");	
	$("#txtCedula").val("");	
	$("#txtZona").val("");	
	$("#txtForma").val("");	
	
	
}

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////


function recaudo(num_credito){
	
	
	alert("Pago Realizado");
	
	$.ajax({
			//construye la ruta donde se encuentra el archivo php
			url: "../src/newPago.php",
			//define las variables
			data: {
					num_credito: num_credito
			},
			type: "POST",
			context: document.body
		}).done(function( data ) {		
			console.log("Datos" , data );
			getDtlCredito(num_credito)
		});
	
	
}



//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//funcion para obtener los datos y mostrarlos en el formulario
function getDtlCredito(num_credito){
	
	    console.log("Ingresar Valores");
	
		$.getJSON( "../src/getDtlCredito.php", {num_credito:num_credito}, function( data ) {
		
		console.log("do request" , data);
		
		$("#BodyTable").html("");
		
		var items = [];
				
		$.each( data, function( key, val ) {
		
		

			$("#BodyTable").append("<tr>\
										<th>" + val.nro_credito + "</th>\
										<th>" + val.valor + "</th>\
										<th>" + val.saldo + "</th>\
										<th>" + val.cuotas + "</th>\
										<th><a href=\"javascript:recaudo('" + val.nro_credito + "')\"><div class=\"btn btn-success\" tabindex=\"7\" id=\"btnBuscarCredito\">Pagar Cuota</div></a></th>\
									</tr>");
		});
	
	});

}


//funcion para obtener los datos y mostrarlos en el formulario
function getCreditos(cedula){
	
	    console.log("Ingresar Valores");
	
		$.getJSON( "../src/getCreditos.php", {cedula:cedula}, function( data ) {
		
		console.log("do request" , data);
		
		$("#BodyTable").html("");
		
		var items = [];
				
		$.each( data, function( key, val ) {
		
		

			$("#BodyTable").append("<tr>\
										<th>" + val.nro_credito + "</th>\
										<th>" + val.valor + "</th>\
										<th>" + val.saldo + "</th>\
										<th>" + val.cuotas + "</th>\
										<th><a href=\"javascript:recaudo('" + val.nro_credito + "')\"><div class=\"btn btn-success\" tabindex=\"7\" id=\"btnBuscarCredito\">Pagar Cuota</div></a></th>\
									</tr>");
		});
	
	});

}




//buscamos los creditos para mostrar la amortizacion
//funcion para obtener los datos y mostrarlos en el formulario
function BuscaCreditos(cedula){
	
	    console.log("Ingresar Valores");
	
		$.getJSON( "../src/BuscaCreditos.php", {cedula:cedula}, function( data ) {
		
		console.log("do request" , data);
		
		$("#BodyTable").html("");
		
		var items = [];
				
		$.each( data, function( key, val ) {
		
		

			$("#BodyTable").append("<tr>\
										<th>" + val.nro_credito + "</th>\
										<th>" + val.valor + "</th>\
										<th>" + val.saldo + "</th>\
										<th>" + val.cuotas + "</th>\
										<th><button type=\"button\" id=\"btnmas\"  class=\"btn btn-info btn-lg\" data-toggle=\"modal\" href=\"#myModal\" onClick=\"mostrar_cuotas('" + val.nro_credito +"')\"></button></th>\
									</tr>");
		});
	
	});

}

function mostrar_cuotas(nro_credito){ //muestra formato sancion
									
				 //var id = $(this).attr("rel");				 
				    $.ajax({
					  type: "POST",
					  url: "../frm/ver_cuotas_ajax.php",
					  //dataType: "json",
					  data: {  nro_credito:nro_credito
							},
					  success: function(datos) {
						  $('#info_credito').html(datos);
						}
				    })	
				
				}
